gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Object Gtk.CellLayout A visible column in a widget.
- Constructor
  2.12.0.0
  Creates a new object.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  a
  a
  a
  Creates a new
- Constructor
  2.12.0.0
  System.ParamArray
  a
  a
  a
  Creates a new
- Method
  2.12.0.0
  System.Void `` `` `` an object of type an object of type an object of type Adds an mapping to the list in . The is the column of the model to get a value from, and the is the parameter on to be set from the value. So for example if column 2 of the model contains strings, you could have the "text" attribute of a get its values from column 2.
- Property
  2.12.0.0
  GLib.Property("alignment")
  System.Single X Alignment of the column header text or widget. an object of type
- Method
  2.12.0.0
  System.Boolean `` `` `` a a a Obtains the horizontal position and size of a cell in a column. a If the cell is not found in the column, and are not changed and is returned.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` a a a a a Obtains the width and height needed to render the column. This is used primarily by the .
- Method
  2.12.0.0
  System.Boolean Whether to display the column. an object of type
- Property
  2.12.0.0
  Gtk.CellRenderer[] Returns a list of all the s in the column, in no particular order. An array of s.
- Property
  2.12.0.0
  Gtk.CellRenderer[] Cells property. An array of cell renderers packed in the column.
- Method
  2.12.0.0
  System.Void `` `` `` `` an object of type an object of type an object of type an object of type Sets the cell renderer based on the and . That is, for every attribute mapping in , it will get a value from the set column on the , and use that value to set the attribute on the cell renderer. This is used primarily by the .
- Method
  2.12.0.0
  System.Void Unsets all the mappings on all renderers on the .
- Method
  2.12.0.0
  System.Void `` an object of type Clears all existing attributes.
- Method
  2.12.0.0
  System.Void Emit the clicked event on the column.
- Property
  2.12.0.0
  GLib.Property("clickable")
  System.Boolean Whether the header can be clicked. an object of type
- Event
  2.12.0.0
  GLib.Signal("clicked")
  System.EventHandler Emitted when the column is clicked.
- Property
  2.12.0.0
  GLib.Property("expand")
  System.Boolean Whether this column gets share of extra width allocated to the widget. a
- Property
  2.12.0.0
  GLib.Property("fixed-width")
  System.Int32 Current fixed width of the column. an object of type
- Method
  2.12.0.0
  System.Void `` a Sets the current keyboard focus to be at , if the column contains 2 or more editable and activatable cells.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("max-width")
  System.Int32 Maximum allowed width of the column. an object of type
- Property
  2.12.0.0
  GLib.Property("min-width")
  System.Int32 Minimum allowed width of the column. an object of type
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideClicked", Type=typeof(Gtk.TreeViewColumn))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  System.Void `` `` an object of type an object of type Adds the to end of the column. If expand is , then the cell is allocated no more space than it needs. Any unused space is divided evenly between cells for which expand is .
- Method
  2.12.0.0
  System.Void `` `` an object of type an object of type Packs the cell into the beginning of the column. If expand is , then the cell is allocated no more space than it needs. Any unused space is divided evenly between cells for which expand is .
- Method
  2.12.0.0
  System.Void Flags the column and its cell renderers for size renegotiation.
- Method
  2.12.0.0
  System.Void `` `` a a Re-inserts at . The given cell must already be packed into the layout for this method to work properly.
- Property
  2.12.0.0
  GLib.Property("reorderable")
  System.Boolean Whether the column can be reordered by the end user dragging the header. an object of type
- Property
  2.12.0.0
  GLib.Property("resizable")
  System.Boolean Whether column is user-resizable. an object of type
- Method
  2.12.0.0
  System.Void `` `System.ParamArray` a a Sets the attribute to model column bindings for a renderer. The array should consist of pairs of attribute name and column index.
- Method
  2.12.0.0
  System.Void `` `` a a Sets the to use for a renderer. This function is used instead of the standard attributes mapping for setting the column value, and should set the value of the as appropriate. may be to remove an older one.
- Method
  2.12.0.0
  System.Void `` `` a a Set the data func used to set cell renderer attributes.
- Method
  2.12.0.0
  System.Void `` `` a a Sets the to use for a renderer. This function is used instead of the standard attributes mapping for setting the column value, and should set the value of the as appropriate. may be to remove an older one.
- Method
  2.12.0.0
  System.Obsolete("Replaced by SetCellDataFunc (CellRenderer, TreeCellDataFunc) overload")
  System.Void `` `` `` `` an object of type an object of type an object of type an object of type Sets the to use for the column. This function is used instead of the standard attributes mapping for setting the column value, and should set the value of the as appropriate. may be to remove an older one.
- Property
  2.12.0.0
  GLib.Property("sizing")
  Gtk.TreeViewColumnSizing Resize mode of the column. an object of type
- Property
  2.12.0.0
  System.Int32 The column that the model sorts on when this column is selected for sorting. an object of type
- Property
  2.12.0.0
  GLib.Property("sort-indicator")
  System.Boolean Whether to show a sort indicator. an object of type
- Property
  2.12.0.0
  GLib.Property("sort-order")
  Gtk.SortType Sort direction the sort indicator should indicate. an object of type
- Property
  2.12.0.0
  GLib.Property("spacing")
  System.Int32 The number of pixels to place between s packed into the column. an object of type
- Property
  2.12.0.0
  GLib.Property("title")
  System.String Title to appear in column header. an object of type
- Property
  2.12.0.0
  Gtk.Widget Tree View property. The tree view owning the column.
- Property
  2.12.0.0
  GLib.Property("visible")
  System.Boolean The visibility of the . an object of type
- Property
  2.12.0.0
  GLib.Property("widget")
  Gtk.Widget Widget to put in column header button instead of column title. an object of type
- Property
  2.12.0.0
  GLib.Property("width")
  System.Int32 Current width of the column. an object of type